- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CSmoke Class Reference

Class Particle Smoke. More...

`#include <Particles.h>`

Inheritance diagram for CSmoke:

[legend]
Collaboration diagram for CSmoke:

[legend]

List of all members.

## Public Member Functions
| CSmoke (int numParticles)
| Standard constructor.
void | resetParticle (Attribute *attribute)
| Resets particle to initial position.
void | Update (float timeDelta, bool slow, bool follow)
| Moves particle one frame.
void | preRender ()
| preRender sets rendering device parameters for particles.
void | postRender ()
| postRender sets original rendering device parameters.
void | puff (D3DXVECTOR3 location, D3DCOLOR color)
| Emit particles from the source point.
bool | checkHit (D3DXVECTOR3 position, float radius)
| checks if object is within the smoke effect.

## Detailed Description

Class Particle Smoke.

Smoke particles are radiated from center all around, like a slow explosion.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Constructor & Destructor Documentation

CSmoke::CSmoke | ( | int | numParticles | ) |

Standard constructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Member Function Documentation

void CSmoke::resetParticle | ( | Attribute * | attribute | ) | `[virtual]`

Resets particle to initial position.

Author:
  Petar Bajic

Date:
  January, 16 2007.

Implements PSystem.

void CSmoke::Update | ( | float | timeDelta,
|  | bool | trt,
|  | bool | trt2 |
| ) |  |  | `[virtual]`

Moves particle one frame.

Author:
  Petar Bajic

Date:
  January, 16 2007.

Implements PSystem.

void CSmoke::preRender | ( |  | ) | `[virtual]`

preRender sets rendering device parameters for particles.

Author:
  Petar Bajic

Date:
  January, 16 2007.

Reimplemented from PSystem.

void CSmoke::postRender | ( |  | ) | `[virtual]`

postRender sets original rendering device parameters.

Author:
  Petar Bajic

Date:
  January, 16 2007.

Reimplemented from PSystem.

void CSmoke::puff | ( | D3DXVECTOR3 | location,
|  | D3DCOLOR | color |
| ) |  |  |

Emit particles from the source point.

Author:
  Petar Bajic

Date:
  January, 16 2007.

bool CSmoke::checkHit | ( | D3DXVECTOR3 | position,
|  | float | radius |
| ) |  |  |

checks if object is within the smoke effect.

Author:
  Petar Bajic

Date:
  January, 16 2007.

The documentation for this class was generated from the following files:

- My Documents/TS2/inc/Particles.h
- My Documents/TS2/src/Particles.cpp